Bug 1482575 - fedrepo-req: change requires from git to git-core
Summary: fedrepo-req: change requires from git to git-core
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedrepo-req
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Prahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 15:42 UTC by Carl George
Modified: 2017-09-07 23:19 UTC (History)
2 users (show)

Fixed In Version: fedrepo-req-1.5.0-2.fc26 fedrepo-req-1.6.0-2.el7 fedrepo-req-1.6.0-2.fc26 fedrepo-req-1.6.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 23:19:37 UTC


Attachments (Terms of Use)

Description Carl George 2017-08-17 15:42:39 UTC
Description of problem:
/usr/bin/git is part of the git-core package.  The git package has lesser used utilities and pulls in several additional dependencies.  The python2-fedrepo-req package currently requires git.  If it were changed to require git-core instead I believe it would keep working correctly but have fewer recursive dependencies.

Comment 1 Matt Prahl 2017-08-20 13:46:13 UTC
Carl, thanks for the tip here. It does seem to work with git-core.

I made the change in this commit:
https://src.fedoraproject.org/rpms/fedrepo-req/c/b7f30bc59abe3f5d4ef0d813842d21b73eb66819?branch=master

I won't make a release quite yet though. I will be grouping in some other changes before doing so.

Comment 2 Fedora Update System 2017-08-22 15:22:14 UTC
fedrepo-req-1.5.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-179e05be92

Comment 3 Fedora Update System 2017-08-22 20:44:53 UTC
fedrepo-req-1.5.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2017-08-23 06:33:38 UTC
fedrepo-req-1.5.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-179e05be92

Comment 5 Fedora Update System 2017-08-23 08:55:42 UTC
fedrepo-req-1.5.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a10270a78

Comment 6 Fedora Update System 2017-08-26 15:02:18 UTC
fedrepo-req-1.6.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12dcc66bfd

Comment 7 Fedora Update System 2017-08-26 15:02:36 UTC
fedrepo-req-1.6.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c7f66e50ba

Comment 8 Fedora Update System 2017-08-26 15:02:54 UTC
fedrepo-req-1.6.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-33c2c6e985

Comment 9 Fedora Update System 2017-08-26 22:37:20 UTC
fedrepo-req-1.6.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33c2c6e985

Comment 10 Fedora Update System 2017-08-26 22:38:17 UTC
fedrepo-req-1.6.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-12dcc66bfd

Comment 11 Fedora Update System 2017-08-27 06:49:46 UTC
fedrepo-req-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c7f66e50ba

Comment 12 Fedora Update System 2017-08-28 16:20:13 UTC
fedrepo-req-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-08-28 16:20:21 UTC
fedrepo-req-1.6.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Carl George 2017-08-29 18:27:04 UTC
Looks like the python3 subpackage requires git instead of git-core, and the latest updates switches from python2 to python3, so this is a problem again.  Please update python3-fedrepo-req to require git-core instead of git.

Comment 15 Fedora Update System 2017-09-01 12:53:10 UTC
fedrepo-req-1.6.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4a6724cd1

Comment 16 Fedora Update System 2017-09-07 23:19:37 UTC
fedrepo-req-1.6.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.